summaryrefslogtreecommitdiffstats
path: root/source/a/kbd
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/kbd')
-rwxr-xr-xsource/a/kbd/kbd.SlackBuild47
-rw-r--r--source/a/kbd/sources/kbd-1.15.2.tar.bz2.sign8
-rw-r--r--source/a/kbd/sources/kbd-1.15.3-fix-es-translation.patch12
3 files changed, 45 insertions, 22 deletions
diff --git a/source/a/kbd/kbd.SlackBuild b/source/a/kbd/kbd.SlackBuild
index ddcd96703..1b2147d0a 100755
--- a/source/a/kbd/kbd.SlackBuild
+++ b/source/a/kbd/kbd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=kbd
-VERSION=1.15.2
-BUILD=${BUILD:-1}
+VERSION=1.15.3
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,7 +34,7 @@ if [ -z "$ARCH" ]; then
esac
fi
-NUMJOBS=${NUMJOBS:--j4}
+NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -49,7 +49,7 @@ cd $TMP
# Extract source:
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/sources/$PKGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/sources/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
# Make sure ownerships and permissions are sane:
@@ -69,9 +69,12 @@ find . -perm 555 -exec chmod 755 {} \;
# Apply patches:
# These are taken from Fedora's SRPM:
zcat $CWD/sources/kbd-1.15.2-po.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/sources/kbd-1.15-keycodes-man.patch | patch -p1 --verbose || exit 1
-zcat $CWD/sources/kbd-1.15-unicode_start.patch | patch -p1 --verbose || exit 1
-zcat $CWD/sources/kbd-1.15-resizecon-x86_64.patch | patch -p1 --verbose || exit 1
+zcat $CWD/sources/kbd-1.15-keycodes-man.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/sources/kbd-1.15-unicode_start.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/sources/kbd-1.15-resizecon-x86_64.patch.gz | patch -p1 --verbose || exit 1
+
+# This is from Mandriva's SRPM:
+zcat $CWD/sources/kbd-1.15.3-fix-es-translation.patch.gz | patch -p1 --verbose || exit 1
# This is from Fedora's spec file:
# 7-bit maps are obsolete; so are non-euro maps
@@ -114,6 +117,12 @@ make install DESTDIR=$PKG || exit 1
mv -fv usr/bin/loadkeys bin/
cd usr/bin ; ln -vsf ../../bin/loadkeys . )
+# Build/install resizecons:
+( cd src
+ make resizecons
+ cp resizecons $PKG/usr/bin
+)
+
# ro_win.map.gz is useless
rm -fv $PKG/usr/share/kbd/keymaps/i386/qwerty/ro_win.map.gz
@@ -197,10 +206,20 @@ config etc/rc.d/rc.font.new
EOF
-# Compress man pages:
-( cd $PKG/usr/man
- find . -name "*.?" -type f | xargs gzip -9
-)
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
# Install package description:
install -vpm644 $CWD/slack-desc $PKG/install/
@@ -212,5 +231,5 @@ install -vpm644 $CWD/slack-desc $PKG/install/
)
cd $PKG
-makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-#EOF
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/a/kbd/sources/kbd-1.15.2.tar.bz2.sign b/source/a/kbd/sources/kbd-1.15.2.tar.bz2.sign
deleted file mode 100644
index 39f3c0228..000000000
--- a/source/a/kbd/sources/kbd-1.15.2.tar.bz2.sign
+++ /dev/null
@@ -1,8 +0,0 @@
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v1.4.9 (GNU/Linux)
-Comment: See http://www.kernel.org/signature.html for info
-
-iD8DBQBLwPHZyGugalF9Dw4RAhiyAJ9DdLbizzsoJi87OjQ8VzyNsRnr2QCeJ9zg
-MOKY0UbkCZyUALLyzxF2bKE=
-=Ou46
------END PGP SIGNATURE-----
diff --git a/source/a/kbd/sources/kbd-1.15.3-fix-es-translation.patch b/source/a/kbd/sources/kbd-1.15.3-fix-es-translation.patch
new file mode 100644
index 000000000..2d76cd9f3
--- /dev/null
+++ b/source/a/kbd/sources/kbd-1.15.3-fix-es-translation.patch
@@ -0,0 +1,12 @@
+diff -Naur kbd-1.15.3//po/es.po kbd-1.15.3.tpg//po/es.po
+--- kbd-1.15.3//po/es.po 2011-05-14 21:12:49.000000000 +0000
++++ kbd-1.15.3.tpg//po/es.po 2011-06-19 12:29:55.000000000 +0000
+@@ -1363,7 +1363,7 @@
+ #: src/setfont.c:682
+ #, c-format
+ msgid "Saved %d-char %dx%d font file on %s\n"
+-msgstr "Se ha guardado el fichero de tipos %2$dx%3$d de %1$d caracteres en %s\n"
++msgstr "Se ha guardado el fichero de tipos %dx%d de %d caracteres en %s\n"
+
+ #: src/setkeycodes.c:21
+ #, c-format